/*
ajouter.c
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "repertoire.h"


int
repertAjoute(Repert * repert,
	     char * nom,         /*  Nom à ajouter  */
	     char * numero,      /*  Numéro à ajouter  */
	     char * adresse,     /*  Adresse  ajouter  */
	     Date * anniversaire)/*  Date  ajouter  */
{
  RepertListe * nouveau;  /*  Le répertoire courant   */
  RepertListe * liste;

  if ((nouveau = malloc(sizeof(RepertListe))) == NULL) {
    /*  Si pas possible de créer liste  */
    return (1);
  }

  strncpy(nouveau->carte.nom, nom, REPERT_CHAMP_TAILLE);
  nouveau->carte.nom[REPERT_CHAMP_TAILLE - 1] = '\0';
  
  strncpy(nouveau->carte.numero, numero, REPERT_CHAMP_TAILLE);
  nouveau->carte.numero[REPERT_CHAMP_TAILLE - 1] = '\0';
  
  strncpy(nouveau->carte.adresse, adresse, REPERT_CHAMP_TAILLE);
  nouveau->carte.adresse[REPERT_CHAMP_TAILLE - 1] = '\0';

  nouveau->carte.anniversaire = * anniversaire;


  liste = *repert;            /*  Récupère pointeur sur le premier élément  */
  nouveau->suivant = liste;
  if (liste)
    liste->precedent = nouveau;
  nouveau ->precedent = NULL;
  *repert = nouveau;

  /*  Tout s'est bien passé  */
  return (0);
}
