/*
chercher.c
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "repertoire.h"


int
repertCherche(Repert * repert,
	      char * nom,        /*  Nom à rechercher  */
	      char * numero,     /*  Numéro trouvé    */
	      char * adresse,      /*  Adresse trouve  */
	      Date * anniversaire) /*  Date trouve  */
{
  RepertListe * liste;  /*  Le répertoire courant  */

  for (liste = *repert; liste != NULL; liste = liste->suivant) {
    /*  Si nom recherché trouvé  */
    if (strcmp(liste->carte.nom, nom) == 0)
      {
	strcpy(numero, liste->carte.numero);
	strcpy(adresse, liste->carte.adresse);
	*anniversaire =  liste->carte.anniversaire;
	return (0);
    }
  }

  /*  Nom pas trouvé  */
  return (1);
}
